std::is_base_of< _Base, _Derived > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inherits __bool_constant< __is_base_of(_Base, _Derived)>.

Inherited by std::__is_random_access_iter< _It, _Cat >.

## Detailed Description

template<typename _Base, typename _Derived>
struct std::is_base_of< _Base, _Derived >

is_base_of

Definition at line 1492 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits